export default class Error {
  public message: string;
  public line: number;

  constructor(message: string, line: number) {
    this.message = message;
    this.line = line;
  }
}

export const isError = (obj: any): obj is Error => {
  return obj && obj.message && obj.line;
};
